"use strict";

const modules = require("./modules");

const getCode128 = value => {
  if (!modules.is("String", value)) {
    throw `Please input String class. class = ${modules.getClass(value)}`;
  }
  if (value === null || value.length === 0) {
    throw `Please input number string. value = ${value}`;
  }
  return value + modules.calculateCheckDigit(value);
};

module.exports = {
  getCode128
};
